<?php

namespace common\logic\Subscription\Subscription\Event;

use common\logic\Distribution\Distribution\Model\Distribution;
use common\logic\Order\Order\Wrapper\OrderManager;

class SubscriptionEventSubscriber
{
    public static function onActiveDistribution(Distribution $distribution): void
    {
        $orderManager = OrderManager::getInstance();
        $orderManager->createAllOrdersFromSubscriptions($distribution->date);
    }
}